﻿#pragma strict
var dx:float;
var dy:float;

function Start () {
	do {
		dx = Random.Range(-5,5);
		dy = Random.Range(-5,5);
	} while (dx*dx + dy*dy < 2);
	transform.position.x = Random.Range(-2,2);
	transform.position.y = Random.Range(-2,2);
	do {
		transform.position.x -= dx;
		transform.position.y -= dy;
	} while (transform.position.x*transform.position.x + transform.position.y*transform.position.y < 100);
}

function Update () {
	transform.Rotate(Vector3.up*160*Time.deltaTime);
	transform.position.x += dx * Time.deltaTime;
	transform.position.y += dy * Time.deltaTime;

	if (transform.position.x > 10 || transform.position.x < -10 || transform.position.y > 8 || transform.position.y < -8) Start();
}

function OnCollisionEnter() {
	Start();

    // apply powerup
    GameObject.FindWithTag("Player").GetComponent(TankScript).fourway = 20;
    gameObject.GetComponent(AudioSource).Play();
	}