﻿#pragma strict

var bullet : GameObject;
var explo: GameObject;

var shotsound:AudioClip;
var powerdown:AudioClip;
var Victory:boolean;
var Dead:boolean;
var endtimer:float;

var shotdelay:float;

public var fourway:int;
   
function Start () {
	Dead = false;
	Victory = false;
	endtimer = 0;
	fourway = 0;
	shotdelay = 0;
}

 
 function Update () {
 	// rotate to target

     var pos = Input.mousePosition;
     pos.z = transform.position.z - Camera.main.transform.position.z;
     pos = Camera.main.ScreenToWorldPoint(pos);
     
     var q = Quaternion.FromToRotation(Vector3.up, pos - transform.position);
     transform.rotation = q;

     shotdelay -= Time.deltaTime;

 	// fire on click
     if (Input.GetMouseButton(0) && shotdelay < 0) {
     	shotdelay = 0.21;
         
         q = Quaternion.FromToRotation(Vector3.up, pos - transform.position);
         var go = Instantiate(bullet, transform.position, q);
         go.GetComponent(Rigidbody).AddForce(go.transform.up * 500.0);

	    gameObject.GetComponent(AudioSource).PlayOneShot(shotsound,1.0);

	    if (fourway>0) {
	    	fourway--;
	    	if (fourway == 0) gameObject.GetComponent(AudioSource).PlayOneShot(powerdown,1.0);


	    	var tmp:float;

			q = Quaternion.FromToRotation(Vector3.up, pos - transform.position);
			go = Instantiate(bullet, transform.position, q);
			go.GetComponent(Rigidbody).AddForce(go.transform.up * -500.0);


			q = Quaternion.FromToRotation(Vector3.up, pos - transform.position);
			go = Instantiate(bullet, transform.position, q);
			go.GetComponent(Rigidbody).AddForce(go.transform.right * 500.0);

			q = Quaternion.FromToRotation(Vector3.up, pos - transform.position);
			go = Instantiate(bullet, transform.position, q);
			go.GetComponent(Rigidbody).AddForce(go.transform.right * -500.0);

	        }

     }


     if (!Victory) if (CheckVictory()) {
     	Victory = true;
  		var lv:int;
   		lv = PlayerPrefs.GetInt("Level");
		PlayerPrefs.SetInt("Level",lv+1);
//		Console.Log("Incrementing Level to "+(lv+1));
     }

     if (Victory || Dead) {
     	endtimer += Time.deltaTime;
	   	if (endtimer > 3) {
			var ls:UnityEngine.SceneManagement.SceneManager;
		    if (Victory) ls.LoadScene("Interim");
		    else ls.LoadScene("Replay");
		}
	}
 }
 

 function OnCollisionEnter ( )
 {

    var go = Instantiate(explo, transform.position, Quaternion.identity);
//    GameObject.Destroy ( gameObject ) ;
// don't destroy, just move
	transform.position.x = 100;
	Dead = true;

 
 }


function CheckVictory() {
	if (GameObject.FindWithTag("Enemy")==null) return true;
	else return false;
	}